<?php

include("config.php");

// Open the database.
$db = new SQLite3("pictures.db");

// Don't cache feed contents.
header("Content-type: text/xml; charset=UTF-8");
header("Cache-Control: no-cache, must-revalidate");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");

// This is XML.
echo '<?xml version="1.0" encoding="ISO-8859-1"?>'."\n";

?><rss version="2.0" xmlns:media="http://search.yahoo.com/mrss/">
	<channel>
		<title><?= $title ?></title>
		<link><?= $baseUrl ?></link>
 		<description></description>
		<pubDate><?= date("r") ?></pubDate>
		<lastBuildDate><?= date("r") ?></lastBuildDate>
		<generator><?= $baseUrl ?></generator>
		<image>
			<url><?= $baseUrl ?>icon.jpg</url>
			<title><?= $title ?></title>
			<link><?= $baseUrl ?></link>
		</image>
		
		<?php
			$query = $db->query("select id,date_changed from pictures where status = 'L' order by date_changed desc");
			while($row = $query->fetchArray()) {
				echo '<item>';
				echo '<title>ID = '.$row["id"].'</title>';
				echo '<link>'.$baseUrl.'</link>';
				echo '<description>&lt;img src=&quot;'.$baseUrl.'pictures/t'.$row["id"].'.jpg&quot; alt=&quot;ID = '.$row["id"].'&quot;/&gt;</description>';
				echo '<pubDate>'.date("r",$row["date_changed"]).'</pubDate>';
				$fileName = 'pictures/'.$row["id"].'.jpg';
				list($width,$height) = @getimagesize($fileName);
				echo '<media:content url="'.$baseUrl.$fileName.'" type="image/jpeg" height="'.$height.'" width="'.$width.'"/>';
				echo "</item>\n";
			}
		?>
	</channel>
</rss>
