/**
 * This function is called when the user submits
 * the upload form.
 *
 * @return Whether or not the upload can continue.
 */
function onUpload() {
	var file = document.getElementById("file").value;
	
	// Was a file selected at all?
	if(file=="") {
		alert("Bitte zuerst eine Bilddatei auswhlen!");
		return false;
	}
	
	document.getElementById("uploadNotice").innerHTML = "Dies kann etwas dauern. Bitte den Vorgang nicht abbrechen!";
	setTimeout('document.getElementById("submit").disabled = true',50);
	
	return true;
}

/**
 * This function is called when the user
 * wants to permanently delete a picture.
 *
 * @return Whether or not the deletion can continue.
 */
function confirmDelete() {
	return confirm("Soll dieses Bild permanent gelscht werden?");
}