<?php

include("functions.php");

?><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"><html>

<head>
  <title><?= $title ?></title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <link rel="stylesheet" href="styles.css" type="text/css" media="screen">
  <link rel="alternate" type="application/rss+xml" title="Feed" href="feed.php">
  <script src="tools.js" type="text/javascript"></script>
</head>

<body>
<div id="page">

	<div id="header">
		<h1><?= $title ?> <a href="feed.php"><img src="rss.gif" alt="Feed"/></a></h1>
		
		<?php
			if(isset($message))
				echo '<div class="message">'.$message.'</div>';
			if(isset($error))
				echo '<div class="error">'.$error.'</div>';
		?>
	</div>
	
	<div id="archive">
		<h2>Neues JPEG Bild hochladen (ideale Größe: <?= $frameWidth ?>x<?= $frameHeight ?>):</h2>
		
		<form action="?cmd=upload" enctype="multipart/form-data" method="POST" onsubmit="return onUpload()">
			<input id="file" name="file" type="file"/>
			<input id="submit" type="submit" value="Jetzt hochladen"/><br/>
			<div id="uploadNotice"></div>
		</form>
		
		<h2>Bilder im Archiv:</h2>

		<div class="gallery">
		<?php
			$query = $db->query("select id from pictures where status = 'A' order by date_changed desc limit 100");
			while($row = $query->fetchArray()) {
				echo '<div class="picture">';
				echo '<div class="thumbnail left">';
				echo '<a href="pictures/'.$row["id"].'.jpg" target="_blank"><img src="pictures/t'.$row["id"].'.jpg" alt="'.$row["id"].'"/></a>';
				echo '</div>';
				echo '<div class="action">';
				echo '<p><a href="?cmd=add&id='.$row["id"].'">Hinzufügen &raquo;</a></p>';
				echo '<p><a href="?cmd=delete&id='.$row["id"].'" onclick="return confirmDelete()">Löschen</a></p>';
				echo '</div>';
				echo "</div>\n";
			}
		?>
		</div>
	</div>

	<div id="live">
		<h2>Aktuell auf dem Bilderrahmen:</h2>
		
		<div class="gallery highlight">
		<?php
			$query = $db->query("select id from pictures where status = 'L' order by date_changed desc");
			while($row = $query->fetchArray()) {
				echo '<div class="picture">';
				echo '<div class="action left">';
				echo '<a href="?cmd=remove&id='.$row["id"].'">&laquo; Entfernen</a>';
				echo '</div>';
				echo '<div class="thumbnail">';
				echo '<a href="pictures/'.$row["id"].'.jpg" target="_blank"><img src="pictures/t'.$row["id"].'.jpg" alt="'.$row["id"].'"/></a>';
				echo '</div>';
				echo "</div>\n";
			}
		?>
		</div>
	</div>
	
</div>
</body>

</html>
